All Data Structures Namespaces Files Functions Variables
AHttpController Class Reference
Inheritance diagram for AHttpController:

## Public Member Functions

| __construct ($context, $params)
| start ()
| run ()
Public Member Functions inherited from AController
| __construct ($context, $params)
| start ()

## Additional Inherited Members

Protected Attributes inherited from AController
| $params

## Detailed Description

Definition at line 5 of file AHttpController.php.

## Constructor & Destructor Documentation

__construct | ( |  | $context,
|  |  | $params
| ) |  |

Definition at line 7 of file AHttpController.php.

{ parent::__construct($context, $params); }
Tools\AController\$params
$params
Definition: AController.php:18

## Member Function Documentation

run | ( |  | ) |

abstract

start | ( |  | ) |

Definition at line 10 of file AHttpController.php.

{
//TODO call some hooks
$this->run();
//TODO calls some hooks
}
Tools\AHttpController\run
run()

The documentation for this class was generated from the following file:

- core/tools/AHttpController.php